---Changelog---
Version 5.61 -
-removed experimental winamp visual support along with BASS libraries
-fixed numerous bugs in the Grock Tunnel component
-added support for looping text in Grock Tunnel
-added support for disabling Grock Tunnel text
-added %name% and %trigger% variable support to Grock Tunnel
-changed popup subliminal cycle time slider to include 0, to disable
-session now ends when Grock Tunnel wordlist ends, instead of looping with no text

Version 5.6 -
-added dx8vb.dll to the packaging scripts, for Vista support
-added version variables
-fixed a bug in the Script Maker where the previous filename would not be cleared when creating a new file
-fixed an issue where VH would crash if all the phrase flasher checkboxes were unchecked
-added 4 spanish scripts (translated by rikardo_solo)
-removed main window autocentering code
-fixed an issue where the session interface would be blank during a subliminal-only session if subliminals were unchecked
-updated year
-added simple XOR script encryption support, so certain scripts can't be read by the subject beforehand
-fixed flash animation changing via vidfile
-misc flash animation fixes
-made main interface window non-sizable when in windowed mode, and enabled the title bar for windowed mode
-BACKFILE, CUSTFILE, VIDFILE and SHOWIMAGE now support internet URLs
-LOAD, LOADRUN and LOADCALL commands now support internet URLs for downloading scripts
-new button in the session configuration window supports loading components from URLs
-added HypnoticEyeDIY session by Amazed128a
-added the Brainwash double-session by Amazed128a
-added Hand Drop Updated script by Interstel
-added Interstel's modular scripts
-added sound file hyp.mp3 by petrescoo (was hyp.wav from the group's files)
-added 2 snap sounds by cerilianblue
-added numerous other scripts
-fixed a bug related to the delete key in the script maker - had to do with the key being bound with a menu item
-fixed an issue where if the session loader crashed while the slider screen was visible, the app would be stuck

Version 5.51 -
-fixed an issue that caused VH to crash if the brainwave synchronizer was not working
-fixed a serious bug in the script processor that would cause an error on every line if SAPI4 was disabled
-fixed a minor bug in the boolean section of the Calc system
-fixed an issue where IF statements would go through the whole Calc parsing, and not just the boolean operator section
-inline math now automatically sets empty variables to 0
-LoadVars command now has an option to overwrite all current user variables
-added FORMAT command - formats text in a specified manner
-added Is Like (~) comparison operator

Version 5.5 -
-console can now switch to interactive mode while a script is running, pausing that script, and resuming it afterwards
-added support for pausing and resuming scripts in the console
-year update
-currently adding enhanced error detection and debugging routines
-fixed a serious bug involving the combination of \spd\ and \pau\ script commands which caused an infinite loop
-\pau\ command setting doesn't reset any more after each line (was supposed to be fixed before in 5.41, but broke)
-removed 'scratching' section from default GrockTunnel wordlist
-remade IF statement code
-added inline math support; CALC command is now obsolete
-keypressed variable now works (I forgot to add it before)
-updated scripts for version 5.5
-removed useless icon resource file
-added modulus (&) operator to the inline math function - normally modulus is the % sign, but can't use that since it's for variables
-added random (@) operator to the inline math function (this obsoletes the RAND command)
-fixed backrate command in the Script Maker (still used the old Audrate name)
-syntax checker now checks for obsolete commands in scripts, and suggests replacements
-added LineNum variable - returns the script's current line number
-added support for viewing and playing character animations
-added CharName variable - returns the loaded animated character's name
-added ANIM command - plays a character animation
-fixed a problem where the selected alternate color wouldn't change in the Visual Maker's Custom Objects section
-script console now properly shows error descriptions
-fixed some issues in the script processor when dealing with null variables
-added Brainwave variable - returns true if the brainwave generator is enabled; false if not.
-fixed an issue where the Change Mode dialog would unload the animated character

Version 5.41 -
-added support for a separate flasher rate in the brainwave synchronizer
-fixed some serious infinite loop bugs that occurred when processing speech modifiers
-added support for having speech modifier settings stay during the script executions (without resetting on each line)
-fixed an infinite loop bug in the SAPI4 audio output handler
-fixed a bug in the brainwave generator that prevented the correct settings from loading during a session
-objects such as flashers will now be initialized correctly when turned on by scripts during sessions
-added SUBOFF and SUBON commands (turn on and off subliminals)
-fixed syntax error when using the flashershape command
-fixed a bug in the Visual Maker that prevented it from showing the visual when a session was started
-fixed another bug in the Visual Maker that caused other visuals to draw themselves behind others.

Version 5.4 -
-fixed a bug in the Visual Maker's GrockTunnel section that didn't select the proper saved filename
-fixed a file loader bug that was limited to 32k lines (used integer data types)
-added ElapsedTime variable - returns the number of seconds the session has been running for
-improved performance of file loader routine in the Script Maker
-"cancel script" button now works in the remote controller
-win98 clients complained too much before about speech issues
-added pause code into the IM sender code, so that the program doesn't get kicked from an AIM chatroom
-fixed sapi4 to sapi5 tag conversion, where VH would only convert the first tag (tags would be \pau=100\ for example)
-added support for a single flasher in the brainwave synchronizer
-added the ability to turn on and off the flasher alternations
-added ability to change flasher height and shape type
-increased width limit of color tunnel
-added support for playing grock tones through the pc speaker
-added relative adjustment support to SAPI4 tags
-added SUBCYCLETIME, SUBCYCLES, and SUBDURATION commands which control the popup subliminals
-added FLASHERSHAPE command
-added Age variable, with selection in User Information window
-added option to turn on/off the character on startup (in mode window)
-fixed an issue where script and video/audio filenames would be saved even though they are disabled
-added a constant to enable/disable internal exception handling (for testers running the source code directly)
-fixed a situation where the speech recognizer was unloaded in the wrong place, causing errors that would occur sometimes with the GetVoice command
-added speech error notification for DSS mode during sessions
-fixed numerous issues with the script sender
-added mandara.swf video
-added colorflash.gif video
-removed 4.x upgrade support from the upgrade package (shaved off about 2mb)

Version 5.3 -
-added copyright info for Microsoft Agent components
-HypnoTunnel, a remake of Grock started
-fixed bug in ClearArrays subroutine, where the line counters did not get reset
-added basic support for controlling flash animations through the video
commands
-converted AIM TOC code to TOC2 - HypnoChat works again (AOL killed their TOC1 protocol and HypnoChat broke)
-added font changing support for the subliminal messages
-added autosizing support for subliminal messages
-fixed data format bug in font size storage
-added support for chat room sessions
-moved Script Processor code into it's own module
-added support for saving and loading variables to vars.ini file with the LOADVARS and SAVEVARS commands
-flasher bars can now be controlled during a session with the FLASHERS command
-added GrockTunnel, which is a remake of the Grock freeware hypnosis program
-fixed some bugs in the font selection boxes
-fixed limitation on PAUSE command. The parameter was allocated as an integer, and so only allowed up to about 32000
-Angie character is now the default, and not Merlin
-got delete key working in the script maker
-made DSS mode pause turn off if right after a Speak command
-added SHOWIMAGE command, along with "images" directory
-removed support for the STORE command in the Script Maker (since it's now obsolete) but the script processor still supports it (use the SET command instead)
-added BEEP command
-greatly enhanced the ColorTunnel
-ported new ColorTunnel code over to standalone app (which makes ColorTunnel 2.0)
-fixed a bug that prevented saved sessions from properly loading a ColorTunnel-enabled session
-fixed an error that occurs if you try to drag the full-screen session window
-added PRINT command (used in the console only)
-added Date and Time variables
-fixed a bug in the script processor that caused an infinite loop sometimes when sessions restart
-added an option to display the console on session start
-3D mode now works with speech and text
-added lots of help buttons, that access the user's guide
-enhanced functionality of the Remote Controller
-added variable and modifier insertion to script maker dialogs
-renamed AUDRATE command to BACKRATE (AUDRATE still works though)
-added BackVol, BackBal, BackRate, BackFile, CustVol, CustBal, CustRate, CustFile, VidVol, VidBal, VidRate, VidFile, ToneVol, MaskVol, ToneFreq1 and ToneFreq2 system variables
-added ABS command
-chaned HypnoChat's chat room list box to a text box
-remade the tone generator inside the brainwave synchronizer (this was so GrockTunnel could use it). Works much faster now.

Version 5.2 -
-added an option in the "graphics and audio" tab to change the text speed during text-only sessions (the Pause Time slider no longer controls the text speed)
-marked sections of the Script Processor in comments
-added CHANGE command
-fixed some text display issues on the main window
-changed LTrim commands to LTrim$
-changed LCase commands to LCase$, which fixed some issues (most notably the brainwave generator issue)
-fixed voice selection problem, where a custom selected voice would change back to the default
-fixed a problem associated with IF statements
-fixed code problems in SET command
-fixed code problems in RAND command
-script preview now works properly with custom voice parameters
-added audio balance controls
-added BACKBAL, CUSTBAL, and VIDBAL commands to change balance
-added BACKFILE, CUSTFILE, and VIDFILE commands to change media files
-added BACKSTAT, CUSTSTAT, and VIDSTAT commands to change status of media
-added %backduration%, %custduration%, and %vidduration% variables to return the length of the media (used in IF statements and STORE commands)
-added %backposition%, %custposition%, and %vidposition% variables to return the current playpack position (used in IF statements and STORE commands)
-fixed CHARZOOM command, so now it always remembers the original zoom value, and zooms based on that
-the system variables %key%, %yesno%, %text%, and %voice% can now be used as regular variables
-added autoscroll option to the Script Processor Console
-added new options to the Script Maker
-custom visuals and videos now work together
-GOTOLABEL command now works during a LOADCALL command
-added downloader system (not currently being used)
-fixed serious bugs in the generic IF statement code, that caused lots of errors
-console now doesn't jump to the end of each line
-fixed line number parameter of LOADCALL command
-fixed an error in the initializer for recursive scripts
-preview mode now properly exits sessions
-added IF statement support for Name, Gender, and Trigger variables
-added packager app
-added support for speech output during text-only mode
-fixed the Reset Visual button in the Visual Maker
-fixed lots of bugs in the Visual Maker, including Custom Object positioning issues
-rewrote the character positioning code along with the CHARH and CHARV commands
-added support for converting Unix-formatted text files in the Script Maker
-voice recognition bugs fixed
-TONEFREQ command fixed
-VIDZOOM and VISZOOM sizing fixed
-changed graphics controls
-added more commands to the Script Maker
-fixed a problem with restoring the main screen after it's minimized
-fixed cleanup code for autoexiting feature
-fixed a buffer overflow bug in the Script Maker's Find/Replace window
-added a progress bar to the Script Maker's Find/Replace window
-added syntax checker to script processor; can be accessed from the Script Maker
-added new scripts
-fixed lots of script problems

Version 5.1 -
-script updates
-program now works without SAPI4 speech package (had errors before)
-added LOADCALL command, which allows for dynamic and recursive script loading and execution (up to 10 recursions max)
-rearranged the command list in the Script Maker insert menu
-fixed a problem in the brainwave generator
-fixed some SAPI mode change issues
-fixed a bunch of coloring issues

Version 5.0 -
Beta1:
-fixed minor conflict between load and exit functions in the Script Maker
-added custom audio playback
-added volume controls for both audios
-added playback speed slider for custom audio
-added beta release information to splash and about screens
Beta2:
-fixed slowdown issue (visual maker problem)
-added 320x240 in the resolution changing section
-fixed resolution changing system
-mindfrag.txt suggestion file edited and added
Beta3:
-fixed "unexpected error" error on startup, due to a Windows flaw with loading pictures
-added IRC system (will be integrated later)
-added backend library for file downloading
-added option to turn off speech system
-reworked visual interface
-added optional background picture to main screen (stored in back.bmp)
-added option to enable/disable performance monitor
-fixed settings.dat creation issues
-fixed selection issues when using tab key
Beta4:
-fixed component selection defect from Beta3
-remade About screen
-made Voice Selection screen automatically change voices when a voice is clicked on
-misc cosmetic and button focus/tab work
-fixed minimize bug in Visual Maker screen
Beta5:
-bundled ColorTunnel application with VH
-IRC program now intercepts irc messages, and detects which are VH commands to be processed
-commands are sent over IRC by typing "VHCMD" before the command string
-fixed IF statements; when the "true" command is run, it'll skip the "false" command
-added "custom script" code that forwards IRC commands to the script processor, and runs them. IF statements require both following true & false commands, and GOTO commands are not allowed
-START command added (starts a remote session)
-STOP command added (ends a regular and remote session)
Beta6:
-removed IRC system
-added HypnoChat communication system (AIM clone)
-moved source code into separate directory
-moved settings information into autocreated vh.ini file
Beta7:
-removed extra DLL/OCX references
-added new OCX files to package
-fixed an issue with loading corrupted settings.dat files
-fixed about screen's detection of Windows 98 and ME
-fixed about screen animations
Beta8:
-fixed issue with saving settings in Session Options window
-added CHARH command
-added CHARV command
-added CHARZOOM command
-added VIDZOOM command
-added VISZOOM command
-added VIDRATE command
-added AUDRATE command
-added SOUND command
-redesigned Script Maker
-added user information screen
-added %name% variable
-added %gender% variable
-added %trigger% variable
-changed script guide in Script Maker over to the new guide
-fixed command line options
-added screensaver application
-added 2 sounds, hypno.wma and snap.wav
Beta9:
-added "remote session" button to IM window
-made remote session button allow remote commands, and only from the selected user
-updated script loader to be able to reload new scripts
-removed case sensivity for script commands
-fixed lots of bugs in the new commands introduced in Beta8
-added LOAD command
-added LOADRUN command
-fixed some ini file settings
-added WATCHKEY command
-added KEYPRESSED element to IF statement
-added PAUSE command
-added error detection in the script processor
-added an option to enable/disable visible script error messages
-added CHARCENTER command
-cleaned up some code in the script processor
-made scriptmaker not center on activation
-fixed bug in scriptmaker that sometimes prevented the load dialog from showing
-added an option to show script commands during session (debug mode)
-fixed up dialog boxes
-added new error checking sections in the script processor
-added BACKVOL command
-added CUSTVOL command
-fixed a numerical error in hypnoslave.txt
-comment markers can now be placed anywhere
-added hypnoslave-snap script
-added mindfrag-fx script
-updated featuretest script
-updated featuretest preset
-fixed an IF statement bug that caused errors if a GOTO command was in the true section
Beta10:
-changed most references of FollowTheWatch55 to FollowTheWatch Software
-added script previewing support
-added script processor console
-fixed button issue in text input window
-fixed bug in htmltorich2() that limited IM text to 255 chars
-background session feature *finally* fixed - this was broken
Beta11:
-added complete error detection for the vh.ini loading/saving process
-fixed modification notice code in Script Maker
-worked more on the Remote Controller
-worked on the integration of the Remote Controller with the main system
-added some stuff I forgot to add before in the Release Notes
-ACK command added
Beta12:
-added vortecmovesmall.gif animation
-added twirlingstars.gif animation
-added spurt2.gif animation
-added christmas.gif animation
-added Change Direction button to Visual Maker
-added position indicator box to Visual Maker
-fixed an issue with the Inverse Loop option in the Visual Maker
-fixed a minor issue with the Inverse option in the Visual Maker
-fixed a crash that occurred during a session when the Inverse Loop option was selected
-fixed a problem with maximizing the Visual Maker window
-added CoolMindFrag saved session
-added SignUp button to HypnoChat
-changed default value of the Limit slider from 100 to 25 in the Visual Maker, for better performance
-added file list box to the Logbook, so users can easily see and load days that have entries
-added better error detection to the session execution code
-fixed bug in the Components window that caused all selected values to unselect
-added more tooltips
-update defaultinduct.txt
-worked more on the remote session system
-added ERROR command
-fixed bug in Presets window, which made certain presets disappear if window was closed
Beta13:
-added volume control for videos
-command queuing added and tested
-added VIDVOL command
-changed the way connection rejections are handled
-added option in hypnochat to disable the chat autologin
Beta14:
-added preview window that shows the license, changelog, and release notes in the about screen, and displays a preview of custom visuals
-major layout restructuring; most session config controls and code being merged into frmSession.frm
-frmSession.frm replaced
-SessionInfo.frm removed
-frmGraphics.frm removed
-frmSubConfig.frm removed
-frmVoice.frm removed
-Voices.frm removed
-frmOptions.frm removed
-frmSelect.frm removed
-lots of code reworks
Beta15:
-fixed issue with loading Voice Volume value
-CUSTRATE command added
-Graphics/Sound component of Remote Controller finished
-fixed more commands and added new ones to the Script Maker
-added more commands to the Remote Controller
Beta16:
-fixed some feature problems in the Remote Controller from Beta15
-fixed a minor bug that sometimes caused errors on program startup
Beta17:
-added more tooltips
-fixed problems with voice selection list
-made the subliminal message box dynamically sizable, so now it supports much longer phrases
-finished more options in the Script Maker, and also fixed up some other stuff with it
-did a huge revamp of the Script Maker's message boxes window
-added full system tray support, with 4 options for it in the mode window - but the tray menu will only disappear when you click an option for some reason
-changed the mode buttons in the mode window to option boxes
-added new "notrayicon" command line option
Beta18:
-fixed a function name that got accidentally renamed
-added a screen size selector to the Session Configuration window
-added the Session File Editor, a raw editor for session data files
-fixed some video/animation display issues
-made induction screen work in windowed mode
-added system tray menu to the induction screen and main window
-fixed some issues related to the system tray icon (in the mode selection box)
-added new "menuoff" command line option - disables popup menu in induction screen
-fixed error issue with playing sound effects
-added support for text-only stuff on screen, which is an alternative to the spoken text (the SPEAK command controls both)
-the text-only mode is currently buggy and is not recommended to use yet
-added text color changing and font selection support for the text-only section
-added background color selection to the Script Maker
-fixed some script maker dialog box issues, and defaults loading problems
-changed behavior of color dialogs
-5.0 specific session options won't be loaded anymore, until the release candidate version (this is due to inter-Beta upgrade problems)
-added script transmission support to the Remote Controller
-custom scripts can now be loaded/ran from other scripts (section 6) - you need to specify the full path and filename though
-fixed a bug where the app would exit if started for the first time
-added TRANSMIT command (transmits scripts to client over the net)
-added CANCEL command (cancels execution of current script; used for switching scripts)
-fixed a lot of bugs in the Remote Controller
Release Candidate 1:
-added new duration option to subliminals configuration
-added a log saving feature to the Remote Controller
-added find/replace feature to Script Maker
-fixed a bug in the Script Maker that caused the "changed" flag to stay on
-added option in mode screen to turn on/off speech recognition
-added SPEECH element to IF statement
-added SPEECHREC element to IF statement
-added GOTOLABEL command and added label support (a good alternative to the GOTO command)
-added TrueVision3D support
-merged parts of HypnoHouse into VH
-added 3D Graphics system using the parts of HypnoHouse
-added SAPI5 speech output support
-fixed a bunch of Script Processor Console bugs
-added support in the Script Maker and the Script Processor to output speech to wav files (SAPI5 only)
-updated the screensaver component
-updated scripts for VH5
Release Candidate 2:
-"find next" in the Script Maker now works properly
-SAPI4 commands such as "\pau=1000\" have been fixed for SAPI5 (only the PAU command currently works)
-Script Maker now closes properly
-disabled 3D support during speech operation, due to problems
-fixed some bugs in the Script Processor Console that caused problems when starting a new session
-fixed some more scripts
-made performance monitor shut off during 3D graphics display
-updated tooltips
-fixed SAPI5 voice speed settings
-fixed a bunch of bugs involving the script processor's IF statements
-fixed a window caption problem in the Script Maker
-added a "save as" option to the Script Maker and changed the way the regular "save" works
-added candle.avi video
Release Candidate 3:
-added a lot more comments to the Script Processor code
-got the text-only session stuff to work very well
-added CALL command
-added text to script convertor to Script Maker
-added line number support to RUN, LOADRUN, and CALL commands
-added code for Cut, Copy, Paste, and Delete in Script Maker
-added TONEVOL command
-added MASKVOL command
-added BINFREQ command
-fixed an issue with error reporting in the console
-fixed a syntax error issue when using variables higher than 99
-fixed a problem in the Script Maker that would cause crashes when inserting commands
-fixed the "set" command dialog in the Script Maker
-added new commands to the Script Maker
-added line number support to the loadrun, run, and call commands in the Script Maker
-fixed an issue in the mode window that selected the text-only session option at the wrong times
-added the tonevol, maskvol, and binfreq commands to the Script Maker
Release Candidate 4:
-replaced randomization seeder for RAND command
-moved pseudorandom seeder to the Script Processor startup section, instead of the RAND command section
-fixed some issues with windows not appearing in the taskbar
-added a button in the Mode window that will erase VH's settings files if things get bad
-fixed an issue where the induction screen was always in windowed mode during a remote session
-got /menuoff command line option working
-fixed /load command line option
-added binaural commands to the remote controller graphics/sound command box
-fixed minor bug in the CALL command
-made the CALL command be able to call the current script
-fixed line numbering stuff used in run, call, and loadrun commands
-turned off automatic sounds in the IM windows
-fixed crash in script maker's background color dialog
-fixed a bunch of tabstop problems
-added new voice modification commands to the Script Maker (SAPI4 only) - note: these were disabled due to them not working with DSS
-redesigned the Hypnotic Visual Maker
-fixed Timer Speed option in Visual Maker
-added a whole new visuals section into the Visual Maker (custom objects)
-added an option to turn on/off the exit message (on the top left of the induction screen)
-enhanced error reporting system (it now says what portion of VH the error occurred in)
-fixed an issue with the internal error description code, which caused some crashes
-finally fixed the absolute/relative path conflict bug (affected most versions of VH before this one)
-fixed a string referencing bug in the Script Loader
-added "error number" property to error messages
-prevented a certain error that caused problems in background and subliminal-only sessions
-voice list box now selects the right voice when you choose a new character
-added DirectSpeech (DSS) SAPI4 support; VH switches to DSS mode when the visible character is turned off, and back to MSAgent mode when the character is on.
-renamed the BINFREQ command to TONEFREQ
-enhanced the script convertor
-added an option to the SOUND command to wait until the sound is finished playing before continuing
Final:
-fixed the text during a text-only session, so that it strips the SAPI4 commands
-fixed an error that occurred when the visible character was turned off
-turned on error reporting for the character selection box, since any errors would crash VH
-gave the character selection box the ability to handle corrupt character files
-fixed up some more error message dialogs
-fixed an issue with the session comments - it only seems to allow 126 characters max, so I put a limit on the box.
-fixed an issue where the hypnotic visuals would make the program unable to exit the session
-fixed a problem where the "stop session" menu item would be disabled while intense visuals are running
-made sure the synth speech stops properly in DSS mode
-fixed some character loading issues
-added "balance" parameter to SOUND command
-added EXIT command
-added Script Maker entries for the END and EXIT commands
-fixed some problems in the presets window
-added error handlers to the Mode dialog box
-had the Subliminals file box use the Script Maker instead of Notepad - this fixes an issue with updating it's list
-fixed an issue involving the initial setting of the speech system parameters
-added code to automatically remove old settings.dat file
-reworked some of the brainwave generator code
-added Kaa script and session file

Version 4.61 -
-backported minimize bugfix for Visual Maker window from 5.0 Beta4
-backported setting.dat file creation fix from 5.0 Beta4
-bundled ColorTunnel application with VH
-backported fix for Windows version detection in the about screen from 5.0 Beta7
-backported fix for Script Guide in the Script Maker window from 5.0 Beta8

Version 4.6 -
-fixed "unexpected error" error on startup, due to a Windows flaw with loading pictures
-backported fix for a minor conflict between load and exit functions in the Script Maker from 5.0 Beta2
-backported addition of 320x240 in the resolution changing section from 5.0 Beta2
-backported fixed resolution changing system from 5.0 Beta2
-mindfrag.txt suggestion file edited and added
-updated User's Guide (new speech recognition tutorial)

Version 4.52 -
-backported fix for slowdown issue (visual maker problem) from 5.0 Beta

Version 4.51 -
-fixed 2 randomization problems with subliminals
-fixed scripts that were not in regular DOS format (somehow they got messed up)

Version 4.5 -
-added refresh support for fileboxes
-added User's Guide
-added help button to main screen, which displays the User's Guide
-added mode changing support, to switch between a "professional" mode for hypnotherapists and a "recreational" mode for self hypnosis/hypnofetishist use
-rearranged presets and changed how they work (for the modes)
-added presets for "professional" mode
-added media previewing applet; just double-click video or audio files to preview them
-made "enable custom visuals" checkbox turn off video and vice versa
-bug where subliminals didn't stay on top fixed
-fixed bug where induction screen quickly flashes at the start of a subliminal-only session
-rewrote script file loading system; code is much more simpler now
-added dynamic array support (scripts had a size limit of 1000 lines in 4.41 and below; now it uses any size, even above 1000 lines)
-added a progress bar that shows loading progress when you click "start session"
-scripts can now have blank lines; script processor now skips them (it used to use them to determine the end of the file)
-session no longer requires scripts; it can run with just visuals and now synth speech
-removed ancient binauralcode.bas file from setup packages
-fixed slowness problem with flashers, which appeared in 4.2
-added lots of new options to the Hypnotic Visual Maker; it's now incredible, and can make very hypnotic patterns
-switched color selectors over to the default Windows color selector dialog box
-added preset resetting code to presets
-added 2 visualdemo saved sessions
-updated file format
-got command line options working smoothly again

Version 4.41 -
-fixed file saving system, since it was not properly saving the 4.4 specific settings
-updated test.hyp session file to 4.41 format
-got rid of an old reference to the "genie" character in a Change Voice box tooltip

Version 4.4 -
-fixed minor bug in session type window
-added tooltips to subliminal config window
-stopped main hypno form from popping up at the start of a subliminals-only session
-changed value limits in the subliminal config box
-some errors fixed in the subliminal system
-added configuration system for built-in subliminals
-improved color updating in brainwave synchronizer window
-added custom color support for subliminals
-added speed changer for built-in subliminals

Version 4.3 -
-made save session function get version information from app instead of from explicit declaration
-added video and audio speed controls along with an option to make trippy effects
-added a performance monitor to help prevent freezes/choppiness during sessions
-added performance monitor stats in the "session info" box
-removed some junk code
-fixed bug in defaults section of session loader

Version 4.22 -
-fixed session script leak bug (old scripts would stay in memory for next session)
-fixed user variable leak bug (same problem as above)
-fixed bug in the featuretest induction (no pause for the key input)
-fixed bug in the Hand Drop script (same issue)
-fixed bug in the Hand Drop-voice script (same issue)
-fixed bug in the Number Press script (same issue)
-fixed bug in the Number Press 2 script (same issue)
-remade the script manual into an RTF file
-removed OLE DLLs from installer package
-fixed bug in visual maker
-fixed some bugs in the session file loader
-added default options code in the session file loader, which fixes problems when loading older sessions
-made the spiral (in the visual maker) reset each time it's used

Version 4.21 -
-removed the preemptive error detection introduced in 4.2, since it was causing problems
-fixed the media looping problems, which were due to the media player plugin going nuts
-fixed a problem in the "forget" wakening
-disabled scroll option for subliminal-only sessions in the session types box
-added more DLL libraries to the installation package
-removed 3.22 upgrade support from the upgrade package

Version 4.2 -
-made main window minimizable (who knows why that was disabled)
-new main window layout (fits better on 800x600 screens)
-added error detection for Win98 machines that can't play multiple audio streams
-added Hypnotic Visual Maker
-added Association Method induction
-added Confusion induction
-added "eyeballs up" induction
-added Room of Nothingness deepener
-added "obey" wakening
-fixed RND command (only worked with 1 as lower bound number)
-rewrote ColorTunnel program and merged code into VH (into visual maker)
-GD Software's spiral code merged into VH (into visual maker)
-made window forms not pop up on session load
-bundled with new installer
-many bugfixes
-added an error message that pops up if the speech system is not installed
-added lots of error detection support for different versions of Windows
-added binaural type display in brainwave generator
-added spinner controls to change frequency values in brainwave generator
-added screen resolution changing support

Version 4.1 -
-added a source file that was missing in the 4.0 release
-fixed file loading issues in the about screen
-fixed some bugs in the Brainwave Synchronizer
-added command line option /nosubwindow which turns off the control box when subliminal messages are being displayed only
-made the comments box in the "about session" multiline
-date field fixed in "save session" function
-made new version of test.hyp saved session

Version 4.0 -
-Script Maker added
-bug fixed in file loader system, where last character in file would not load
-RAND command rewritten (update scripts to use this command, or you might have major errors)
-new code layout being made for script processor
-CALC command added (performs arithmetic operations)
-Increment and Decrement commands removed; replaced by CALC command
-Program returns to the main menu after a session is complete
-Binaural Brainwave Synchronizer added
-Seven_Plus_or_Minus_Two induction added
-triggersugg-indirect suggestion file added
-tooltips enhanced
-scripts can now be edited by double-clicking them on the main screen
-added flashing color bars to induction interface - configurable in Brainwave Synchronizer screen
-loading system fixed to handle scripts from previous versions better
-In-session dialogs set to "always on top" to prevent problems
-audio files fixed
-Error handler added to startup, to detect if speech system is not installed
-Screen scrolling feature added
-Control panel applet for subliminals-only sessions added
-Reworked 'Eyes' preset
-Logbook finished
-Added session information window
-Added 'Help' button in About window, that shows readme file
-Made release notes
-Added 'Changelog' button in About window, that shows changelog
-Added 'License' button in About window, that shows the GPL license

Version 3.22 -
-Speech recognition fixed
-Fixed exit; so the program doesn't end when you exit the session
-VoiceBuffer command added
-Scripts updated with the VoiceBuffer command
-Command line options added

Version 3.21 -
-File loading system fixed
-Presets reworked a little
-Automatic speak test on "change voice" removed
-Spelling problems in defaultwake.txt fixed (they were originally there for Hypnotizer 2000)
-forget.txt wakening script added

Version 3.2 - 
-END command added
-RAND command added
-KEYBUFFER command added
-Hand Drop scripts fixed and updated
-Number Press script added
-successloop script rewritten
-Dominant induction script added
-Forgot to mention that the anesthesia deepener was added a while back
-FreezeTest script added
-SlaveTest script added
-Subliminals file line maximum changed from 255 to 1000
-Fixed bugs in the script processing code
-Fixed faulty script file loaders
-Fixed some case sensitivity bugs in the comparison code
-Fixed 2 more bugs in the comparison code
-Hand Drop script tested and works
-Added 3 new characters - Hilda, Heather, and Eye
-Added "Brainwash II" preset (featuring the new Eye character)
-Added "Obey" Preset
-Number Press 2 script added
-featuretest induction script updated

Version 3.1 -
-Some bugs fixed
-Fixed trigger.txt
-New subliminal message system added
-built in trigger word fixed to sound better
-New subliminal message blocks at the top and bottom of the session screen
The subliminals (based on an emotion linking theory) for those are:
	"Relaxed? Sink deep into hypnosis"
	"Worried? Feel comfortable"
	"Unfocused? Listen, obey and focus"
	"Nervous? Feel calm and relaxed"

Version 3.02 -
-Mid$ bug in comparison routines fixed
-hypnoslave.txt errors fixed
-Some other files had minor modifications just in case

Version 3.01 -
-Added missing library files

Version 3.0 -
-Many bugfixes
-Full voice recognition support
-Voice engine selection support
-Fixed file windows
-Added relative GOTO commands
-Added timed session system
-Added flash animation quality selector
-Recreated "mouth" character
-Redesigned "Brainwash" preset
-Created feature test preset
-New program icons
-Scripts fixed because of timing issues

Version 2.01 - 12/11/03
 -Minor bugfix release
 -hypnoslave.txt put in correct directory
 -msdxm.ocx file was causing setup failures on Windows 98/ME

Version 2.0 - Redesigned standalone release - 12/5/03
 -lots of stuff ;)

Version 1.1 - Updated version, bundled with Hypnotizer 2000 4.2

Version 1.0 - Initial version
